- Home
- API Enriched
- Ai Services
- gen-ai
- Eval AI Assistant Query.
Eval AI Assistant Query.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/gen-ai/namespaces/example/eval_query';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"current_query":"example","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/gen-ai/namespaces/example/eval_query \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "current_query": "example", "namespace": "example" }'Temporarily to be used in place of AIAssistantQuery for evaluating API access/RBAC check.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace of the HTTP Load Balancer for current request.
Request Bodyrequired
Section titled “Request Bodyrequired”AI Assistant Query Request.
object
Current query will be in text format.
Namespace of the HTTP Load Balancer for current request.
Examplegenerated
{ "current_query": "example", "namespace": "example"}Responses
Section titled “Responses”A successful response.
This can be used for messages where no values are needed.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example